---
canonical: https://amplience.com/developers/docs/apis/content-management-reference/extensions-integrations/
title: "Extensions and integrations"
description: "API reference for extension and integration endpoints. Covers UI extensions and Salesforce SFCC and SFMC integrations."
audience: Developer
date_published: 2023-08-29
date_modified: 2026-06-16
---

# Extensions and integrations

**Base URL:** `https://api.amplience.net/v2/content`

> **Note: Authorization and status codes**
> For authorization and status codes see the [API Reference overview](https://amplience.com/developers/docs/apis/content-management-reference/).

## Extensions

| Method | Endpoint | Summary |
|--------|----------|---------|
| `GET` | `/extensions/{id}` | [Get extension](#get-extension) |
| `PATCH` | `/extensions/{id}` | [Patch extension](#patch-extension) |
| `DELETE` | `/extensions/{id}` | [Delete extension](#delete-extension) |
| `GET` | `/hubs/{hubId}/extensions` | [List extensions](#list-extensions) |
| `POST` | `/hubs/{hubId}/extensions` | [Create extension](#create-extension) |
| `GET` | `/hubs/{hubId}/extensions/{name}` | [Get extension by name](#get-extension-by-name) |

### Get extension

`GET /extensions/{id}`

<small>`https://api.amplience.net/v2/content/extensions/{id}`</small>

Return the extension with the specified ID.

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `extensionId` | path | string | ✓ | Extension ID<br/>Example: `00112233445566778899aabb` |

**Responses**

| Status | Description |
|--------|-------------|
| 200 | Extension Response |

<details>
<summary>Response Example (200)</summary>

```json
{
  "hubId": "00112233445566778899aabb",
  "name": "Extension-01",
  "label": "Extension-01 first-draft",
  "description": "This is a description of an extension.",
  "url": "http://example.com",
  "height": 400,
  "enabledForAllContentTypes": false,
  "category": "CONTENT_FIELD",
  "parameters": [
    {
      "color": "blue"
    }
  ],
  "snippets": [
    {
      "label": "mySnippet",
      "body": "{}"
    }
  ],
  "settings": "{\"API\":{\"READ\":true,\"EDIT\":true},\"SANDBOX\":{\"SAME_ORIGIN\":false,\"MODALS\":true,\"NAVIGATION\":true,\"POPUPS\":false,\"DOWNLOADS\":false,\"FORMS\":true}}",
  "createdBy": "00112233-4455-6677-8899-aabbccddeeff",
  "createdDate": "2019-01-01T00:00:00.000Z",
  "lastModifiedBy": "00112233-4455-6677-8899-aabbccddeeff",
  "lastModifiedDate": "2019-01-01T00:00:00.000Z",
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/extensions/00112233445566778899aabb"
    },
    "extension": {
      "href": "https://api.amplience.net/v2/content/extensions/00112233445566778899aabb"
    },
    "hub": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
    },
    "update": {
      "href": "https://api.amplience.net/v2/content/extensions/00112233445566778899aabb"
    },
    "delete": {
      "href": "https://api.amplience.net/v2/content/extensions/00112233445566778899aabb"
    }
  }
}
```

</details>

### Patch extension

`PATCH /extensions/{id}`

<small>`https://api.amplience.net/v2/content/extensions/{id}`</small>

Patch an Extension

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `extensionId` | path | string | ✓ | Extension ID<br/>Example: `00112233445566778899aabb` |

**Request Body**

Content-Type: `application/json`

| Field | Type | Required | Description |
|-------|------|----------|-------------|
| `name` | string | ✓ | System name |
| `label` | string | ✓ | User friendly name |
| `description` | string |  | Description |
| `url` | string | ✓ | Url |
| `height` | integer |  | Height of the extension |
| `enabledForAllContentTypes` | boolean |  | Sets whether the extension is globally enabled or intended for a specific content type |
| `category` | string (CONTENT_FIELD) | ✓ | Type of extension |
| `parameters` | array |  | Array of config parameters |
| `snippets` | array |  | Array of snippets |
| `settings` | string |  | The settings parameter is used to store undefined extension settings such as security rule. |

<details>
<summary>Request example</summary>

```json
{
  "name": "Extension-01",
  "label": "Extension-01 first-draft",
  "description": "This is a description of an extension.",
  "url": "http://example.com",
  "height": 400,
  "enabledForAllContentTypes": false,
  "category": "CONTENT_FIELD",
  "parameters": [
    {
      "color": "blue"
    }
  ],
  "snippets": [
    {
      "label": "mySnippet",
      "body": "{}"
    }
  ],
  "settings": "{\"API\":{\"READ\":true,\"EDIT\":true},\"SANDBOX\":{\"SAME_ORIGIN\":false,\"MODALS\":true,\"NAVIGATION\":true,\"POPUPS\":false,\"DOWNLOADS\":false,\"FORMS\":true}}"
}
```

</details>

**Responses**

| Status | Description |
|--------|-------------|
| 200 | Extension Response |

<details>
<summary>Response Example (200)</summary>

```json
{
  "hubId": "00112233445566778899aabb",
  "name": "Extension-01",
  "label": "Extension-01 first-draft",
  "description": "This is a description of an extension.",
  "url": "http://example.com",
  "height": 400,
  "enabledForAllContentTypes": false,
  "category": "CONTENT_FIELD",
  "parameters": [
    {
      "color": "blue"
    }
  ],
  "snippets": [
    {
      "label": "mySnippet",
      "body": "{}"
    }
  ],
  "settings": "{\"API\":{\"READ\":true,\"EDIT\":true},\"SANDBOX\":{\"SAME_ORIGIN\":false,\"MODALS\":true,\"NAVIGATION\":true,\"POPUPS\":false,\"DOWNLOADS\":false,\"FORMS\":true}}",
  "createdBy": "00112233-4455-6677-8899-aabbccddeeff",
  "createdDate": "2019-01-01T00:00:00.000Z",
  "lastModifiedBy": "00112233-4455-6677-8899-aabbccddeeff",
  "lastModifiedDate": "2019-01-01T00:00:00.000Z",
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/extensions/00112233445566778899aabb"
    },
    "extension": {
      "href": "https://api.amplience.net/v2/content/extensions/00112233445566778899aabb"
    },
    "hub": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
    },
    "update": {
      "href": "https://api.amplience.net/v2/content/extensions/00112233445566778899aabb"
    },
    "delete": {
      "href": "https://api.amplience.net/v2/content/extensions/00112233445566778899aabb"
    }
  }
}
```

</details>

### Delete extension

`DELETE /extensions/{id}`

<small>`https://api.amplience.net/v2/content/extensions/{id}`</small>

Delete an Extension

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `extensionId` | path | string | ✓ | Extension ID<br/>Example: `00112233445566778899aabb` |

**Responses**

| Status | Description |
|--------|-------------|
| 204 | Successfully removed the Extension |

### List extensions

`GET /hubs/{hubId}/extensions`

<small>`https://api.amplience.net/v2/content/hubs/{hubId}/extensions`</small>

List all of the extension created for a hub.

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `hubId` | path | string | ✓ | Hub ID<br/>Example: `00112233445566778899aabb` |
| `page` | query | integer |  | Page number<br/>Example: `0` |
| `size` | query | integer |  | Page size<br/>Example: `20` |
| `sort` | query | string |  | Sort paramter<br/>Example: `createdDate,asc` |

**Responses**

| Status | Description |
|--------|-------------|
| 200 | Paginated Extension List |

<details>
<summary>Response Example (200)</summary>

```json
{
  "_embedded": {
    "extensions": [
      {
        "hubId": "00112233445566778899aabb",
        "name": "Extension-01",
        "label": "Extension-01 first-draft",
        "description": "This is a description of an extension.",
        "url": "http://example.com",
        "height": 400,
        "enabledForAllContentTypes": false,
        "category": "CONTENT_FIELD",
        "parameters": [
          {
            "color": "blue"
          }
        ],
        "snippets": [
          {
            "label": "mySnippet",
            "body": "{}"
          }
        ],
        "settings": "{\"API\":{\"READ\":true,\"EDIT\":true},\"SANDBOX\":{\"SAME_ORIGIN\":false,\"MODALS\":true,\"NAVIGATION\":true,\"POPUPS\":false,\"DOWNLOADS\":false,\"FORMS\":true}}",
        "createdBy": "00112233-4455-6677-8899-aabbccddeeff",
        "createdDate": "2019-01-01T00:00:00.000Z",
        "lastModifiedBy": "00112233-4455-6677-8899-aabbccddeeff",
        "lastModifiedDate": "2019-01-01T00:00:00.000Z",
        "_links": {
          "self": {
            "href": "https://api.amplience.net/v2/content/extensions/00112233445566778899aabb"
          },
          "extension": {
            "href": "https://api.amplience.net/v2/content/extensions/00112233445566778899aabb"
          },
          "hub": {
            "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
          },
          "update": {
            "href": "https://api.amplience.net/v2/content/extensions/00112233445566778899aabb"
          },
          "delete": {
            "href": "https://api.amplience.net/v2/content/extensions/00112233445566778899aabb"
          }
        }
      }
    ]
  },
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/extensions?page=0&size=20"
    },
    "first": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/extensions?page=0&size=20"
    },
    "last": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/extensions?page=0&size=20"
    }
  },
  "page": {
    "size": 20,
    "totalElements": 1,
    "totalPages": 1,
    "number": 0
  }
}
```

</details>

### Create extension

`POST /hubs/{hubId}/extensions`

<small>`https://api.amplience.net/v2/content/hubs/{hubId}/extensions`</small>

Create a new Extension.

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `hubId` | path | string | ✓ | Hub ID<br/>Example: `00112233445566778899aabb` |

**Request Body**

Content-Type: `application/json`

| Field | Type | Required | Description |
|-------|------|----------|-------------|
| `name` | string | ✓ | System name |
| `label` | string | ✓ | User friendly name |
| `description` | string |  | Description |
| `url` | string | ✓ | Url |
| `height` | integer |  | Height of the extension |
| `enabledForAllContentTypes` | boolean |  | Sets whether the extension is globally enabled or intended for a specific content type |
| `category` | string (CONTENT_FIELD) | ✓ | Type of extension |
| `parameters` | array |  | Array of config parameters |
| `snippets` | array |  | Array of snippets |
| `settings` | string |  | The settings parameter is used to store undefined extension settings such as security rule. |

<details>
<summary>Request example</summary>

```json
{
  "name": "Extension-01",
  "label": "Extension-01 first-draft",
  "description": "This is a description of an extension.",
  "url": "http://example.com",
  "height": 400,
  "enabledForAllContentTypes": false,
  "category": "CONTENT_FIELD",
  "parameters": [
    {
      "color": "blue"
    }
  ],
  "snippets": [
    {
      "label": "mySnippet",
      "body": "{}"
    }
  ],
  "settings": "{\"API\":{\"READ\":true,\"EDIT\":true},\"SANDBOX\":{\"SAME_ORIGIN\":false,\"MODALS\":true,\"NAVIGATION\":true,\"POPUPS\":false,\"DOWNLOADS\":false,\"FORMS\":true}}"
}
```

</details>

**Responses**

| Status | Description |
|--------|-------------|
| 200 | Create Extension |

<details>
<summary>Response Example (200)</summary>

```json
{
  "hubId": "00112233445566778899aabb",
  "name": "Extension-01",
  "label": "Extension-01 first-draft",
  "description": "This is a description of an extension.",
  "url": "http://example.com",
  "height": 400,
  "enabledForAllContentTypes": false,
  "category": "CONTENT_FIELD",
  "parameters": [
    {
      "color": "blue"
    }
  ],
  "snippets": [
    {
      "label": "mySnippet",
      "body": "{}"
    }
  ],
  "settings": "{\"API\":{\"READ\":true,\"EDIT\":true},\"SANDBOX\":{\"SAME_ORIGIN\":false,\"MODALS\":true,\"NAVIGATION\":true,\"POPUPS\":false,\"DOWNLOADS\":false,\"FORMS\":true}}",
  "createdBy": "00112233-4455-6677-8899-aabbccddeeff",
  "createdDate": "2019-01-01T00:00:00.000Z",
  "lastModifiedBy": "00112233-4455-6677-8899-aabbccddeeff",
  "lastModifiedDate": "2019-01-01T00:00:00.000Z",
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/extensions/00112233445566778899aabb"
    },
    "extension": {
      "href": "https://api.amplience.net/v2/content/extensions/00112233445566778899aabb"
    },
    "hub": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
    },
    "update": {
      "href": "https://api.amplience.net/v2/content/extensions/00112233445566778899aabb"
    },
    "delete": {
      "href": "https://api.amplience.net/v2/content/extensions/00112233445566778899aabb"
    }
  }
}
```

</details>

### Get extension by name

`GET /hubs/{hubId}/extensions/{name}`

<small>`https://api.amplience.net/v2/content/hubs/{hubId}/extensions/{name}`</small>

Return the extension with the specified name, in current hub.

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `hubId` | path | string | ✓ | Hub ID<br/>Example: `00112233445566778899aabb` |
| `name` | path | string | ✓ | Extension name<br/>Example: `sample-name` |

**Responses**

| Status | Description |
|--------|-------------|
| 200 | Extension Response |

<details>
<summary>Response Example (200)</summary>

```json
{
  "hubId": "00112233445566778899aabb",
  "name": "Extension-01",
  "label": "Extension-01 first-draft",
  "description": "This is a description of an extension.",
  "url": "http://example.com",
  "height": 400,
  "enabledForAllContentTypes": false,
  "category": "CONTENT_FIELD",
  "parameters": [
    {
      "color": "blue"
    }
  ],
  "snippets": [
    {
      "label": "mySnippet",
      "body": "{}"
    }
  ],
  "settings": "{\"API\":{\"READ\":true,\"EDIT\":true},\"SANDBOX\":{\"SAME_ORIGIN\":false,\"MODALS\":true,\"NAVIGATION\":true,\"POPUPS\":false,\"DOWNLOADS\":false,\"FORMS\":true}}",
  "createdBy": "00112233-4455-6677-8899-aabbccddeeff",
  "createdDate": "2019-01-01T00:00:00.000Z",
  "lastModifiedBy": "00112233-4455-6677-8899-aabbccddeeff",
  "lastModifiedDate": "2019-01-01T00:00:00.000Z",
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/extensions/00112233445566778899aabb"
    },
    "extension": {
      "href": "https://api.amplience.net/v2/content/extensions/00112233445566778899aabb"
    },
    "hub": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
    },
    "update": {
      "href": "https://api.amplience.net/v2/content/extensions/00112233445566778899aabb"
    },
    "delete": {
      "href": "https://api.amplience.net/v2/content/extensions/00112233445566778899aabb"
    }
  }
}
```

</details>

## Integrations

| Method | Endpoint | Summary |
|--------|----------|---------|
| `GET` | `/hubs/{hubId}/integrations` | [List available integrations](#list-available-integrations) |

### List available integrations

`GET /hubs/{hubId}/integrations`

<small>`https://api.amplience.net/v2/content/hubs/{hubId}/integrations`</small>

List all of the Integrations created for a hub (dependent on functional permissions)

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `hubId` | path | string | ✓ | Hub ID<br/>Example: `00112233445566778899aabb` |
| `page` | query | integer |  | Page number<br/>Example: `0` |
| `size` | query | integer |  | Page size<br/>Example: `20` |
| `sort` | query | string |  | Sort paramter<br/>Example: `label,asc` |

**Responses**

| Status | Description |
|--------|-------------|
| 200 | Paginated Integration List |

<details>
<summary>Response Example (200)</summary>

```json
{
  "_embedded": {
    "integrations": [
      {
        "_links": {
          "self": {
            "href": "https://api.amplience.net/v2/content/integrations/<type>?hubId=00112233445566778899aabb?page=0&size=20"
          },
          "list-integrations": {
            "href": "https://api.amplience.net/v2/content/integrations/<type>?hubId=00112233445566778899aabb?page=0&size=20"
          },
          "create-integrations": {
            "href": "https://api.amplience.net/v2/content/integrations/<type>?hubId=00112233445566778899aabb?page=0&size=20"
          }
        }
      }
    ]
  },
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/integrations?page=0&size=20&sort=label,asc"
    },
    "first": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/integrations?page=0&size=20&sort=label,asc"
    },
    "last": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/integrations?page=1&size=20&sort=label,asc"
    }
  },
  "page": {
    "size": 20,
    "totalElements": 1,
    "totalPages": 1,
    "number": 0
  }
}
```

</details>

## Salesforce Commerce Cloud (SFCC)

| Method | Endpoint | Summary |
|--------|----------|---------|
| `GET` | `/integrations/sfcc` | [List SFCC integrations](#list-sfcc-integrations) |
| `POST` | `/integrations/sfcc` | [Create SFCC integration](#create-sfcc-integration) |
| `GET` | `/integrations/sfcc/{integrationId}` | [Get a SFCC integration](#get-a-sfcc-integration) |
| `PATCH` | `/integrations/sfcc/{integrationId}` | [Update SFCC integration](#update-sfcc-integration) |
| `DELETE` | `/integrations/sfcc/{integrationId}` | [Delete SFCC integration](#delete-sfcc-integration) |

### List SFCC integrations

`GET /integrations/sfcc`

<small>`https://api.amplience.net/v2/content/integrations/sfcc`</small>

List all of the SFCC Integrations

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `hubId` | query | string | ✓ | Hub ID<br/>Example: `00112233445566778899aabb` |
| `cursor` | query | string |  | Cursor specific to a page |
| `size` | query | integer |  | Page size<br/>Example: `20` |
| `sort` | query | string |  | Sort paramter<br/>Example: `label,asc` |

**Responses**

| Status | Description |
|--------|-------------|
| 200 | Paginated SFCC Integrations List |

<details>
<summary>Response Example (200)</summary>

```json
{
  "_embedded": {
    "integrations": [
      {
        "id": "00112233-4455-6677-8899-aabbccddeeff",
        "label": "Salesforce Commerce Cloud",
        "hubId": "00112233445566778899aabb",
        "sfcc-credentials": {
          "id": "SFCC_ID",
          "secret": "SFCC_SECRET"
        },
        "dc-credentials": {
          "id": "DC_ID",
          "secret": "DC_SECRET"
        },
        "sfcc-api": {
          "path": "https://example.com",
          "version": "v18_10"
        },
        "contentSlots": {
          "site": "mySite",
          "ismlTemplate": "slots/html/htmlslotcontainer.isml"
        },
        "rendering": {
          "vseDomain": "00112233445566778899aabb.staging.bigcontent.io",
          "htmlTemplate": "sfcc"
        },
        "contentAssets": {
          "library": "default",
          "contentRepository": "00112233445566778899aabb",
          "contentTypes": [
            {
              "folders": []
            }
          ]
        },
        "localeMappings": {
          "default": "*",
          "fr-FR": "fr-FR,en,*",
          "de": "de-*,en-*,*"
        },
        "_links": {
          "self": {
            "href": "https://api.amplience.net/v2/content/integrations/sfcc/00112233-4455-6677-8899-aabbccddeeff"
          },
          "webhook": {
            "href": "https://api.amplience.net/v2/content/integrations/sfcc/00112233-4455-6677-8899-aabbccddeeff/webhook"
          },
          "update": {
            "href": "https://api.amplience.net/v2/content/integrations/sfcc/00112233-4455-6677-8899-aabbccddeeff"
          },
          "delete": {
            "href": "https://api.amplience.net/v2/content/integrations/sfcc/00112233-4455-6677-8899-aabbccddeeff"
          },
          "webhook-subscription": {
            "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/webhooks/00112233445566778899aabb"
          }
        }
      }
    ]
  },
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/integrations/sfcc?hubId=00112233445566778899aabb&cursor=page=0&size=20&sort=label,asc"
    },
    "integrations": {
      "href": "https://api.amplience.net/v2/content/integrations/sfcc{?hubId,cursor,page,size,sort}",
      "templated": true
    }
  },
  "page": {
    "size": 20,
    "totalElements": 1,
    "totalPages": 1,
    "number": 0
  }
}
```

</details>

### Create SFCC integration

`POST /integrations/sfcc`

<small>`https://api.amplience.net/v2/content/integrations/sfcc`</small>

Create a SFCC Integration

**Request Body**

Content-Type: `application/json`

| Field | Type | Required | Description |
|-------|------|----------|-------------|
| `hubId` | string | ✓ | Hub ID |
| `label` | string |  |  |
| `sfcc-credentials` | object | ✓ | Credentials for integrating with SFCC |
| `dc-credentials` | object | ✓ | Credentials for integrating with DC |
| `sfcc-api` | object | ✓ | Details to use when communicating with SFCC |
| `contentSlots` | object |  |  |
| `rendering` | object | ✓ | Used for setting up content previews |
| `contentAssets` | object |  | Filtering settings defining which content items are sent to SFCC |
| `localeMappings` | object |  | Locales to use when creating SFCC content, any valid locale can be used |
| `lastInvocationTimestamp` | object |  |  |

<details>
<summary>Request example</summary>

```json
{
  "hubId": "00112233445566778899aabb",
  "label": "Salesforce Commerce Cloud",
  "sfcc-credentials": {
    "id": "SFCC_ID",
    "secret": "SFCC_SECRET"
  },
  "dc-credentials": {
    "id": "DC_ID",
    "secret": "DC_SECRET"
  },
  "sfcc-api": {
    "path": "https://example.com",
    "version": "v18_10"
  },
  "contentSlots": {
    "site": "mySite",
    "ismlTemplate": "slots/html/htmlslotcontainer.isml"
  },
  "rendering": {
    "vseDomain": "00112233445566778899aabb.staging.bigcontent.io",
    "htmlTemplate": "sfcc"
  },
  "contentAssets": {
    "library": "default",
    "contentRepository": "00112233445566778899aabb",
    "contentTypes": [
      {
        "contentType": "http://deliver.bigcontent.io/schema/banner-type.json",
        "folders": [
          {
            "default": false,
            "optional": false
          }
        ],
        "mappings": {
          "id": {
            "jsonPath": "$.body.sfcc_id",
            "fallback": "fallback value"
          },
          "name": {
            "jsonPath": "$.body.name",
            "fallback": "fallback value"
          },
          "onlineFlag": {
            "default": {
              "jsonPath": "$.body.online",
              "fallback": "fallback value"
            },
            "mySite": {
              "jsonPath": "$.body.site",
              "fallback": "fallback value"
            }
          },
          "description": {
            "jsonPath": "$.body.description",
            "fallback": "fallback value"
          },
          "siteMapPriority": {
            "jsonPath": "$.body.siteMapPriority",
            "fallback": "fallback value"
          },
          "defaultedBoolean": {
            "default": {
              "jsonPath": "$.body.defaultedBoolean",
              "fallback": "fallback value"
            },
            "mySite": {
              "jsonPath": "$.body.site_boolean",
              "fallback": "fallback value"
            }
          },
          "defaultedNumber": {
            "default": {
              "jsonPath": "$.body.defaultedNumber",
              "fallback": "fallback value"
            },
            "mySite": {
              "jsonPath": "$.body.site_number",
              "fallback": "fallback value"
            }
          },
          "defaultedObject": {
            "default": {
              "jsonPath": "$.body.defaultedObject",
              "fallback": "fallback value"
            },
            "mySite": {
              "jsonPath": "$.body.site_object",
              "fallback": "fallback value"
            }
          },
          "boolean_field": {
            "jsonPath": "$.body.boolean_field",
            "fallback": "fallback value"
          }
        }
      }
    ]
  },
  "localeMappings": {
    "default": "*",
    "fr-FR": "fr-FR,en,*",
    "de": "de-*,en-*,*"
  }
}
```

</details>

**Responses**

| Status | Description |
|--------|-------------|
| 200 | SFCC Integration Create Response |

<details>
<summary>Response Example (200)</summary>

```json
{
  "id": "00112233-4455-6677-8899-aabbccddeeff",
  "label": "Salesforce Commerce Cloud",
  "hubId": "00112233445566778899aabb",
  "sfcc-credentials": {
    "id": "SFCC_ID",
    "secret": "SFCC_SECRET"
  },
  "dc-credentials": {
    "id": "DC_ID",
    "secret": "DC_SECRET"
  },
  "sfcc-api": {
    "path": "https://example.com",
    "version": "v18_10"
  },
  "contentSlots": {
    "site": "mySite",
    "ismlTemplate": "slots/html/htmlslotcontainer.isml"
  },
  "rendering": {
    "vseDomain": "00112233445566778899aabb.staging.bigcontent.io",
    "htmlTemplate": "sfcc"
  },
  "contentAssets": {
    "library": "default",
    "contentRepository": "00112233445566778899aabb",
    "contentTypes": [
      {
        "contentType": "http://deliver.bigcontent.io/schema/banner-type.json",
        "folders": [
          {
            "default": false,
            "optional": false
          }
        ],
        "mappings": {
          "id": {
            "jsonPath": "$.body.sfcc_id",
            "fallback": "fallback value"
          },
          "name": {
            "jsonPath": "$.body.name",
            "fallback": "fallback value"
          },
          "onlineFlag": {
            "default": {
              "jsonPath": "$.body.online",
              "fallback": "fallback value"
            },
            "mySite": {
              "jsonPath": "$.body.site",
              "fallback": "fallback value"
            }
          },
          "description": {
            "jsonPath": "$.body.description",
            "fallback": "fallback value"
          },
          "siteMapPriority": {
            "jsonPath": "$.body.siteMapPriority",
            "fallback": "fallback value"
          },
          "defaultedBoolean": {
            "default": {
              "jsonPath": "$.body.defaultedBoolean",
              "fallback": "fallback value"
            },
            "mySite": {
              "jsonPath": "$.body.site_boolean",
              "fallback": "fallback value"
            }
          },
          "defaultedNumber": {
            "default": {
              "jsonPath": "$.body.defaultedNumber",
              "fallback": "fallback value"
            },
            "mySite": {
              "jsonPath": "$.body.site_number",
              "fallback": "fallback value"
            }
          },
          "defaultedObject": {
            "default": {
              "jsonPath": "$.body.defaultedObject",
              "fallback": "fallback value"
            },
            "mySite": {
              "jsonPath": "$.body.site_object",
              "fallback": "fallback value"
            }
          },
          "boolean_field": {
            "jsonPath": "$.body.boolean_field",
            "fallback": "fallback value"
          }
        }
      }
    ]
  },
  "localeMappings": {
    "default": "*",
    "fr-FR": "fr-FR,en,*",
    "de": "de-*,en-*,*"
  },
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/integrations/sfcc/00112233-4455-6677-8899-aabbccddeeff"
    },
    "webhook": {
      "href": "https://api.amplience.net/v2/content/integrations/sfcc/00112233-4455-6677-8899-aabbccddeeff/webhook"
    },
    "update": {
      "href": "https://api.amplience.net/v2/content/integrations/sfcc/00112233-4455-6677-8899-aabbccddeeff"
    },
    "delete": {
      "href": "https://api.amplience.net/v2/content/integrations/sfcc/00112233-4455-6677-8899-aabbccddeeff"
    },
    "webhook-subscription": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/webhooks/00112233445566778899aabb"
    }
  }
}
```

</details>

### Get a SFCC integration

`GET /integrations/sfcc/{integrationId}`

<small>`https://api.amplience.net/v2/content/integrations/sfcc/{integrationId}`</small>

Get a specific SFCC Integration

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `integrationId` | path | string | ✓ | Integration ID<br/>Example: `00112233-4455-6677-8899-aabbccddeeff` |

**Responses**

| Status | Description |
|--------|-------------|
| 200 | Requested SFCC Integration |

<details>
<summary>Response Example (200)</summary>

```json
{
  "id": "00112233-4455-6677-8899-aabbccddeeff",
  "label": "Salesforce Commerce Cloud",
  "hubId": "00112233445566778899aabb",
  "sfcc-credentials": {
    "id": "SFCC_ID",
    "secret": "SFCC_SECRET"
  },
  "dc-credentials": {
    "id": "DC_ID",
    "secret": "DC_SECRET"
  },
  "sfcc-api": {
    "path": "https://example.com",
    "version": "v18_10"
  },
  "contentSlots": {
    "site": "mySite",
    "ismlTemplate": "slots/html/htmlslotcontainer.isml"
  },
  "rendering": {
    "vseDomain": "00112233445566778899aabb.staging.bigcontent.io",
    "htmlTemplate": "sfcc"
  },
  "contentAssets": {
    "library": "default",
    "contentRepository": "00112233445566778899aabb",
    "contentTypes": [
      {
        "contentType": "http://deliver.bigcontent.io/schema/banner-type.json",
        "folders": [
          {
            "default": false,
            "optional": false
          }
        ],
        "mappings": {
          "id": {
            "jsonPath": "$.body.sfcc_id",
            "fallback": "fallback value"
          },
          "name": {
            "jsonPath": "$.body.name",
            "fallback": "fallback value"
          },
          "onlineFlag": {
            "default": {
              "jsonPath": "$.body.online",
              "fallback": "fallback value"
            },
            "mySite": {
              "jsonPath": "$.body.site",
              "fallback": "fallback value"
            }
          },
          "description": {
            "jsonPath": "$.body.description",
            "fallback": "fallback value"
          },
          "siteMapPriority": {
            "jsonPath": "$.body.siteMapPriority",
            "fallback": "fallback value"
          },
          "defaultedBoolean": {
            "default": {
              "jsonPath": "$.body.defaultedBoolean",
              "fallback": "fallback value"
            },
            "mySite": {
              "jsonPath": "$.body.site_boolean",
              "fallback": "fallback value"
            }
          },
          "defaultedNumber": {
            "default": {
              "jsonPath": "$.body.defaultedNumber",
              "fallback": "fallback value"
            },
            "mySite": {
              "jsonPath": "$.body.site_number",
              "fallback": "fallback value"
            }
          },
          "defaultedObject": {
            "default": {
              "jsonPath": "$.body.defaultedObject",
              "fallback": "fallback value"
            },
            "mySite": {
              "jsonPath": "$.body.site_object",
              "fallback": "fallback value"
            }
          },
          "boolean_field": {
            "jsonPath": "$.body.boolean_field",
            "fallback": "fallback value"
          }
        }
      }
    ]
  },
  "localeMappings": {
    "default": "*",
    "fr-FR": "fr-FR,en,*",
    "de": "de-*,en-*,*"
  },
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/integrations/sfcc/00112233-4455-6677-8899-aabbccddeeff"
    },
    "webhook": {
      "href": "https://api.amplience.net/v2/content/integrations/sfcc/00112233-4455-6677-8899-aabbccddeeff/webhook"
    },
    "update": {
      "href": "https://api.amplience.net/v2/content/integrations/sfcc/00112233-4455-6677-8899-aabbccddeeff"
    },
    "delete": {
      "href": "https://api.amplience.net/v2/content/integrations/sfcc/00112233-4455-6677-8899-aabbccddeeff"
    },
    "webhook-subscription": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/webhooks/00112233445566778899aabb"
    }
  }
}
```

</details>

### Update SFCC integration

`PATCH /integrations/sfcc/{integrationId}`

<small>`https://api.amplience.net/v2/content/integrations/sfcc/{integrationId}`</small>

Update an SFCC Integration

**Request Body**

Content-Type: `application/json`

| Field | Type | Required | Description |
|-------|------|----------|-------------|
| `label` | string |  |  |
| `sfcc-credentials` | object |  | Credentials for integrating with SFCC |
| `dc-credentials` | object |  | Credentials for integrating with DC |
| `sfcc-api` | object |  | Details to use when communicating with SFCC |
| `contentSlots` | object |  |  |
| `rendering` | object |  | Used for setting up content previews |
| `contentAssets` | object |  | Filtering settings defining which content items are sent to SFCC |
| `localeMappings` | object |  | Locales to use when creating SFCC content, any valid locale can be used |
| `lastInvocationTimestamp` | object |  |  |

<details>
<summary>Request example</summary>

```json
{
  "label": "Salesforce Commerce Cloud",
  "sfcc-credentials": {
    "id": "SFCC_ID",
    "secret": "SFCC_SECRET"
  },
  "dc-credentials": {
    "id": "DC_ID",
    "secret": "DC_SECRET"
  },
  "sfcc-api": {
    "path": "https://example.com",
    "version": "v18_10"
  },
  "contentSlots": {
    "site": "mySite",
    "ismlTemplate": "slots/html/htmlslotcontainer.isml"
  },
  "rendering": {
    "vseDomain": "00112233445566778899aabb.staging.bigcontent.io",
    "htmlTemplate": "sfcc"
  },
  "contentAssets": {
    "library": "default",
    "contentRepository": "00112233445566778899aabb",
    "contentTypes": [
      {
        "contentType": "http://deliver.bigcontent.io/schema/banner-type.json",
        "folders": [
          {
            "default": false,
            "optional": false
          }
        ],
        "mappings": {
          "id": {
            "jsonPath": "$.body.sfcc_id",
            "fallback": "fallback value"
          },
          "name": {
            "jsonPath": "$.body.name",
            "fallback": "fallback value"
          },
          "onlineFlag": {
            "default": {
              "jsonPath": "$.body.online",
              "fallback": "fallback value"
            },
            "mySite": {
              "jsonPath": "$.body.site",
              "fallback": "fallback value"
            }
          },
          "description": {
            "jsonPath": "$.body.description",
            "fallback": "fallback value"
          },
          "siteMapPriority": {
            "jsonPath": "$.body.siteMapPriority",
            "fallback": "fallback value"
          },
          "defaultedBoolean": {
            "default": {
              "jsonPath": "$.body.defaultedBoolean",
              "fallback": "fallback value"
            },
            "mySite": {
              "jsonPath": "$.body.site_boolean",
              "fallback": "fallback value"
            }
          },
          "defaultedNumber": {
            "default": {
              "jsonPath": "$.body.defaultedNumber",
              "fallback": "fallback value"
            },
            "mySite": {
              "jsonPath": "$.body.site_number",
              "fallback": "fallback value"
            }
          },
          "defaultedObject": {
            "default": {
              "jsonPath": "$.body.defaultedObject",
              "fallback": "fallback value"
            },
            "mySite": {
              "jsonPath": "$.body.site_object",
              "fallback": "fallback value"
            }
          },
          "boolean_field": {
            "jsonPath": "$.body.boolean_field",
            "fallback": "fallback value"
          }
        }
      }
    ]
  },
  "localeMappings": {
    "default": "*",
    "fr-FR": "fr-FR,en,*",
    "de": "de-*,en-*,*"
  }
}
```

</details>

**Responses**

| Status | Description |
|--------|-------------|
| 200 | SFCC Integration Update Response |

<details>
<summary>Response Example (200)</summary>

```json
{
  "id": "00112233-4455-6677-8899-aabbccddeeff",
  "label": "Salesforce Commerce Cloud",
  "hubId": "00112233445566778899aabb",
  "sfcc-credentials": {
    "id": "SFCC_ID",
    "secret": "SFCC_SECRET"
  },
  "dc-credentials": {
    "id": "DC_ID",
    "secret": "DC_SECRET"
  },
  "sfcc-api": {
    "path": "https://example.com",
    "version": "v18_10"
  },
  "contentSlots": {
    "site": "mySite",
    "ismlTemplate": "slots/html/htmlslotcontainer.isml"
  },
  "rendering": {
    "vseDomain": "00112233445566778899aabb.staging.bigcontent.io",
    "htmlTemplate": "sfcc"
  },
  "contentAssets": {
    "library": "default",
    "contentRepository": "00112233445566778899aabb",
    "contentTypes": [
      {
        "contentType": "http://deliver.bigcontent.io/schema/banner-type.json",
        "folders": [
          {
            "default": false,
            "optional": false
          }
        ],
        "mappings": {
          "id": {
            "jsonPath": "$.body.sfcc_id",
            "fallback": "fallback value"
          },
          "name": {
            "jsonPath": "$.body.name",
            "fallback": "fallback value"
          },
          "onlineFlag": {
            "default": {
              "jsonPath": "$.body.online",
              "fallback": "fallback value"
            },
            "mySite": {
              "jsonPath": "$.body.site",
              "fallback": "fallback value"
            }
          },
          "description": {
            "jsonPath": "$.body.description",
            "fallback": "fallback value"
          },
          "siteMapPriority": {
            "jsonPath": "$.body.siteMapPriority",
            "fallback": "fallback value"
          },
          "defaultedBoolean": {
            "default": {
              "jsonPath": "$.body.defaultedBoolean",
              "fallback": "fallback value"
            },
            "mySite": {
              "jsonPath": "$.body.site_boolean",
              "fallback": "fallback value"
            }
          },
          "defaultedNumber": {
            "default": {
              "jsonPath": "$.body.defaultedNumber",
              "fallback": "fallback value"
            },
            "mySite": {
              "jsonPath": "$.body.site_number",
              "fallback": "fallback value"
            }
          },
          "defaultedObject": {
            "default": {
              "jsonPath": "$.body.defaultedObject",
              "fallback": "fallback value"
            },
            "mySite": {
              "jsonPath": "$.body.site_object",
              "fallback": "fallback value"
            }
          },
          "boolean_field": {
            "jsonPath": "$.body.boolean_field",
            "fallback": "fallback value"
          }
        }
      }
    ]
  },
  "localeMappings": {
    "default": "*",
    "fr-FR": "fr-FR,en,*",
    "de": "de-*,en-*,*"
  },
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/integrations/sfcc/00112233-4455-6677-8899-aabbccddeeff"
    },
    "webhook": {
      "href": "https://api.amplience.net/v2/content/integrations/sfcc/00112233-4455-6677-8899-aabbccddeeff/webhook"
    },
    "update": {
      "href": "https://api.amplience.net/v2/content/integrations/sfcc/00112233-4455-6677-8899-aabbccddeeff"
    },
    "delete": {
      "href": "https://api.amplience.net/v2/content/integrations/sfcc/00112233-4455-6677-8899-aabbccddeeff"
    },
    "webhook-subscription": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/webhooks/00112233445566778899aabb"
    }
  }
}
```

</details>

### Delete SFCC integration

`DELETE /integrations/sfcc/{integrationId}`

<small>`https://api.amplience.net/v2/content/integrations/sfcc/{integrationId}`</small>

Delete an SFCC Integration

**Responses**

| Status | Description |
|--------|-------------|
| 204 | No Content |

## Salesforce Marketing Cloud (SFMC)

| Method | Endpoint | Summary |
|--------|----------|---------|
| `GET` | `/integrations/sfmc` | [List SFMC integrations](#list-sfmc-integrations) |
| `POST` | `/integrations/sfmc` | [Create SFMC integration](#create-sfmc-integration) |
| `GET` | `/integrations/sfmc/{integrationId}` | [Get a SFMC integration](#get-a-sfmc-integration) |
| `PATCH` | `/integrations/sfmc/{integrationId}` | [Update SFMC integration](#update-sfmc-integration) |
| `DELETE` | `/integrations/sfmc/{integrationId}` | [Delete SFMC integration](#delete-sfmc-integration) |

### List SFMC integrations

`GET /integrations/sfmc`

<small>`https://api.amplience.net/v2/content/integrations/sfmc`</small>

List all of the SFMC Integrations

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `hubId` | query | string | ✓ | Hub ID<br/>Example: `00112233445566778899aabb` |
| `cursor` | query | string |  | Cursor specific to a page |
| `size` | query | integer |  | Page size<br/>Example: `20` |
| `sort` | query | string |  | Sort paramter<br/>Example: `label,asc` |

**Responses**

| Status | Description |
|--------|-------------|
| 200 | Paginated SFMC Integrations List |

<details>
<summary>Response Example (200)</summary>

```json
{
  "_embedded": {
    "integrations": [
      {
        "id": "00112233-4455-6677-8899-aabbccddeeff",
        "label": "Salesforce Marketing Cloud",
        "active": true,
        "hubId": "00112233445566778899aabb",
        "sfmc-credentials": {
          "id": "SFMC_ID",
          "secret": "SFMC_SECRET",
          "authDomain": "SFMC_SECRET"
        },
        "dc-credentials": {
          "id": "DC_ID",
          "secret": "DC_SECRET"
        },
        "rendering": {
          "vseDomain": "00112233445566778899aabb.staging.bigcontent.io"
        },
        "contentAssets": {
          "topLevelFolder": "myFolder",
          "contentTypeSchemas": [
            {
              "htmlTemplate": "sfmc"
            }
          ]
        },
        "lastInvocationTimestamp": 1234567890,
        "_links": {
          "self": {
            "href": "https://api.amplience.net/v2/content/integrations/sfmc/00112233-4455-6677-8899-aabbccddeeff"
          },
          "hub": {
            "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
          },
          "webhook": {
            "href": "https://api.amplience.net/v2/content/integrations/sfmc/00112233-4455-6677-8899-aabbccddeeff/webhook"
          },
          "update": {
            "href": "https://api.amplience.net/v2/content/integrations/sfmc/00112233-4455-6677-8899-aabbccddeeff"
          },
          "delete": {
            "href": "https://api.amplience.net/v2/content/integrations/sfmc/00112233-4455-6677-8899-aabbccddeeff"
          },
          "webhook-subscription": {
            "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/webhooks/00112233445566778899aabb"
          }
        }
      }
    ]
  },
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/integrations/sfmc?hubId=00112233445566778899aabb&cursor=page=0&size=20&sort=label,asc"
    },
    "integrations": {
      "href": "https://api.amplience.net/v2/content/integrations/sfmc{?hubId,cursor,page,size,sort}",
      "templated": true
    }
  },
  "page": {
    "size": 20,
    "totalElements": 1,
    "totalPages": 1,
    "number": 0
  }
}
```

</details>

### Create SFMC integration

`POST /integrations/sfmc`

<small>`https://api.amplience.net/v2/content/integrations/sfmc`</small>

Create a SFMC Integration

**Request Body**

Content-Type: `application/json`

| Field | Type | Required | Description |
|-------|------|----------|-------------|
| `hubId` | string | ✓ | Hub ID |
| `label` | string | ✓ |  |
| `active` | boolean | ✓ |  |
| `sfmc-credentials` | object | ✓ | Credentials for integrating with SFMC |
| `dc-credentials` | object | ✓ | Credentials for integrating with DC |
| `rendering` | object | ✓ | Used for setting up content previews |
| `contentAssets` | object | ✓ | Settings to use when creating SFMC content |

<details>
<summary>Request example</summary>

```json
{
  "hubId": "00112233445566778899aabb",
  "label": "Salesforce Marketing Cloud",
  "active": true,
  "sfmc-credentials": {
    "id": "SFMC_ID",
    "secret": "SFMC_SECRET",
    "authDomain": "SFMC_SECRET"
  },
  "dc-credentials": {
    "id": "DC_ID",
    "secret": "DC_SECRET"
  },
  "rendering": {
    "vseDomain": "00112233445566778899aabb.staging.bigcontent.io"
  },
  "contentAssets": {
    "topLevelFolder": "myFolder",
    "contentTypeSchemas": [
      {
        "htmlTemplate": "sfmc"
      }
    ]
  }
}
```

</details>

**Responses**

| Status | Description |
|--------|-------------|
| 200 | SFMC Integration Create Response |

<details>
<summary>Response Example (200)</summary>

```json
{
  "id": "00112233-4455-6677-8899-aabbccddeeff",
  "label": "Salesforce Marketing Cloud",
  "active": true,
  "hubId": "00112233445566778899aabb",
  "sfmc-credentials": {
    "id": "SFMC_ID",
    "secret": "SFMC_SECRET",
    "authDomain": "SFMC_SECRET"
  },
  "dc-credentials": {
    "id": "DC_ID",
    "secret": "DC_SECRET"
  },
  "rendering": {
    "vseDomain": "00112233445566778899aabb.staging.bigcontent.io"
  },
  "contentAssets": {
    "topLevelFolder": "myFolder",
    "contentTypeSchemas": [
      {
        "htmlTemplate": "sfmc"
      }
    ]
  },
  "lastInvocationTimestamp": 1234567890,
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/integrations/sfmc/00112233-4455-6677-8899-aabbccddeeff"
    },
    "hub": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
    },
    "webhook": {
      "href": "https://api.amplience.net/v2/content/integrations/sfmc/00112233-4455-6677-8899-aabbccddeeff/webhook"
    },
    "update": {
      "href": "https://api.amplience.net/v2/content/integrations/sfmc/00112233-4455-6677-8899-aabbccddeeff"
    },
    "delete": {
      "href": "https://api.amplience.net/v2/content/integrations/sfmc/00112233-4455-6677-8899-aabbccddeeff"
    },
    "webhook-subscription": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/webhooks/00112233445566778899aabb"
    }
  }
}
```

</details>

### Get a SFMC integration

`GET /integrations/sfmc/{integrationId}`

<small>`https://api.amplience.net/v2/content/integrations/sfmc/{integrationId}`</small>

Get a specific SFMC Integration

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `integrationId` | path | string | ✓ | Integration ID<br/>Example: `00112233-4455-6677-8899-aabbccddeeff` |

**Responses**

| Status | Description |
|--------|-------------|
| 200 | Requested SFMC Integration |

<details>
<summary>Response Example (200)</summary>

```json
{
  "id": "00112233-4455-6677-8899-aabbccddeeff",
  "label": "Salesforce Marketing Cloud",
  "active": true,
  "hubId": "00112233445566778899aabb",
  "sfmc-credentials": {
    "id": "SFMC_ID",
    "secret": "SFMC_SECRET",
    "authDomain": "SFMC_SECRET"
  },
  "dc-credentials": {
    "id": "DC_ID",
    "secret": "DC_SECRET"
  },
  "rendering": {
    "vseDomain": "00112233445566778899aabb.staging.bigcontent.io"
  },
  "contentAssets": {
    "topLevelFolder": "myFolder",
    "contentTypeSchemas": [
      {
        "htmlTemplate": "sfmc"
      }
    ]
  },
  "lastInvocationTimestamp": 1234567890,
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/integrations/sfmc/00112233-4455-6677-8899-aabbccddeeff"
    },
    "hub": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
    },
    "webhook": {
      "href": "https://api.amplience.net/v2/content/integrations/sfmc/00112233-4455-6677-8899-aabbccddeeff/webhook"
    },
    "update": {
      "href": "https://api.amplience.net/v2/content/integrations/sfmc/00112233-4455-6677-8899-aabbccddeeff"
    },
    "delete": {
      "href": "https://api.amplience.net/v2/content/integrations/sfmc/00112233-4455-6677-8899-aabbccddeeff"
    },
    "webhook-subscription": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/webhooks/00112233445566778899aabb"
    }
  }
}
```

</details>

### Update SFMC integration

`PATCH /integrations/sfmc/{integrationId}`

<small>`https://api.amplience.net/v2/content/integrations/sfmc/{integrationId}`</small>

Update an SFMC Integration

**Request Body**

Content-Type: `application/json`

| Field | Type | Required | Description |
|-------|------|----------|-------------|
| `label` | string |  |  |
| `active` | boolean |  |  |
| `sfmc-credentials` | object |  | Credentials for integrating with SFMC |
| `dc-credentials` | object |  | Credentials for integrating with DC |
| `rendering` | object |  | Used for setting up content previews |
| `contentAssets` | object |  | Settings to use when creating SFMC content |

<details>
<summary>Request example</summary>

```json
{
  "label": "Salesforce Marketing Cloud",
  "active": true,
  "sfmc-credentials": {
    "id": "SFMC_ID",
    "secret": "SFMC_SECRET",
    "authDomain": "SFMC_SECRET"
  },
  "dc-credentials": {
    "id": "DC_ID",
    "secret": "DC_SECRET"
  },
  "rendering": {
    "vseDomain": "00112233445566778899aabb.staging.bigcontent.io"
  },
  "contentAssets": {
    "topLevelFolder": "myFolder",
    "contentTypeSchemas": [
      {
        "htmlTemplate": "sfmc"
      }
    ]
  }
}
```

</details>

**Responses**

| Status | Description |
|--------|-------------|
| 200 | SFMC Integration Update Response |

<details>
<summary>Response Example (200)</summary>

```json
{
  "id": "00112233-4455-6677-8899-aabbccddeeff",
  "label": "Salesforce Marketing Cloud",
  "active": true,
  "hubId": "00112233445566778899aabb",
  "sfmc-credentials": {
    "id": "SFMC_ID",
    "secret": "SFMC_SECRET",
    "authDomain": "SFMC_SECRET"
  },
  "dc-credentials": {
    "id": "DC_ID",
    "secret": "DC_SECRET"
  },
  "rendering": {
    "vseDomain": "00112233445566778899aabb.staging.bigcontent.io"
  },
  "contentAssets": {
    "topLevelFolder": "myFolder",
    "contentTypeSchemas": [
      {
        "htmlTemplate": "sfmc"
      }
    ]
  },
  "lastInvocationTimestamp": 1234567890,
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/integrations/sfmc/00112233-4455-6677-8899-aabbccddeeff"
    },
    "hub": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
    },
    "webhook": {
      "href": "https://api.amplience.net/v2/content/integrations/sfmc/00112233-4455-6677-8899-aabbccddeeff/webhook"
    },
    "update": {
      "href": "https://api.amplience.net/v2/content/integrations/sfmc/00112233-4455-6677-8899-aabbccddeeff"
    },
    "delete": {
      "href": "https://api.amplience.net/v2/content/integrations/sfmc/00112233-4455-6677-8899-aabbccddeeff"
    },
    "webhook-subscription": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/webhooks/00112233445566778899aabb"
    }
  }
}
```

</details>

### Delete SFMC integration

`DELETE /integrations/sfmc/{integrationId}`

<small>`https://api.amplience.net/v2/content/integrations/sfmc/{integrationId}`</small>

Delete an SFMC Integration

**Responses**

| Status | Description |
|--------|-------------|
| 204 | No Content |
